<?php
/**
 * Plugin Name: EP HAK
 * Description: HAK popusti.
 * Version:     1.0.6
 * Author:      Elektronika Perhoč
 * Author URI:  http://ep.hr/
 */

define('EP_HAK_PLUGIN', __FILE__);
define('EP_HAK_DIR', __DIR__);
define('EP_HAK_URL', plugin_dir_url(EP_HAK_PLUGIN));

add_filter('ep/config/providers', function(array $providers) {
	$providers[] = \Ep\Hak\ConfigProvider::class;
	return $providers;
});

add_action('wp_enqueue_scripts', function() {
	$manifest = json_decode(file_get_contents(__DIR__ . '/dist/manifest.json'), true);

	if (is_checkout()) {
		wp_enqueue_script('ep-hak', sprintf('%s/dist/%s', EP_HAK_URL, $manifest['ep-hak.js']));
	}

	if (is_cart()) {
		wp_enqueue_style('ep-hak', sprintf('%s/dist/%s', EP_HAK_URL, $manifest['ep-hak.css']));
	}
});
